#!C:/Programme/Perl/bin/
#
#$Id: collection.pl,v 1.4 2005/02/16 22:25:59 boris Exp $
#
#  
#
    use Getopt::Std; 

$usage = 
"Usage: collection.pl [-d] [-t table_file]  [-o results] \n";

require 'parameters.pl';
require 'subroutines.pl';

die $usage unless getopts('t:o:d');

$DEBUG=$opt_d;

#   
$MAXQUEST=1;
for (my $i=1; $i<=$ROUNDS; $i++) {
    if ($MAXQUEST<$MAXQUEST[$i]) {
	$MAXQUEST=$MAXQUEST[$i];
    }
}



my %teams;
my @answers;
#
#   
#
if ($opt_t)
{
    die "Cannot open $opt_t\n" unless open(INFILE,$opt_t);
    readhash(\@answers);
    close(INFILE);
}

#
#   
#
for (my $i=1; $i<=$ROUNDS; $i++) {
    foreach my $file (split /\s+/, $FILES[$i]) {
	open (INFILE, $file);
	readmail(\%teams);
	collect_answers(\%teams,\@answers);
	close (INFILE);
    }
}

#     .
#
if ($opt_o)
{ 
    die "Cannot open $opt_o\n" unless open(OUTFILE,">$opt_o");
    select OUTFILE;
}
for ($i=1;$i<=$MAXQUEST;$i++)
{
    print "\n $i:\n";
    print "\n:\n";
    anondump(\%teams,\@answers,$i,'+');
    print "\n :\n";
    anondump(\%teams,\@answers,$i,'-');
    print "\n :\n";
    anondump(\%teams,\@answers,$i,'?');
}
print "***\n";







